.break-out > .card {
    padding: 0 calc(var(--padding-containers) / 2);
    margin-left: calc(0rem - (var(--padding-containers) / 2));
    margin-right: calc(0rem - (var(--padding-containers) / 2));
    width: calc(100% + var(--padding-containers));
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}

.break-out.card {
    padding: calc(var(--padding-containers) / 2);
    margin-left: calc(0rem - (var(--padding-containers) / 2));
    margin-right: calc(0rem - (var(--padding-containers) / 2));
    width: calc(100% + var(--padding-containers));
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}

.overlap-bottom, .overlap-top {
    --overlap-offset: calc(var(--padding-containers) / 2);
}

.overlap-bottom.double, .overlap-top.double {
    --overlap-offset: var(--padding-containers);
}

.overlap-bottom {
    position: relative;
    margin-bottom: calc(0rem - var(--overlap-offset)); 
}

.overlap-top {
    position: relative;
    margin-top: calc(0rem - var(--overlap-offset)); 
}

section:has(+ section .overlap-top),
section:has(.overlap-bottom) + section {
    position: relative;
}

section:has(.overlap-bottom) + section:not(.py-0):not(.pt-0) {
    padding-top: calc(var(--padding-rows) + (var(--padding-containers) / 2));
}

section:has(.overlap-bottom) + section.py-0,
section:has(.overlap-bottom) + section.pt-0 {
    padding-top: calc(var(--padding-containers) / 2);
}

section:not(.pb-0):not(.py-0):has(+ section .overlap-top) {
    padding-bottom: calc(var(--padding-rows) + (var(--padding-containers) / 2));
}

section.py-0:has(+ section .overlap-top),
section.pb-0:has(+ section .overlap-top) {
    padding-bottom: calc(var(--padding-containers) / 2);
}

/* AdBlue Tank */
section:has(.adblue-tank) {
    padding-top: calc(var(--padding-containers) / 2) !important;
}

.adblue-tank {
    position: relative;
    width: 100%;
}

.adblue-tank {
    position: relative;
}

.adblue-tank-image {
    padding-left: var(--padding-containers);
    translate: 0 -1rem;
}   

.adblue-tank-image img {
    --img-x: right;
    --img-y: bottom;
    width: 100%;
    height: 67vw;
    display: block;
    margin-bottom: -10vw;
}

@media (min-width: 576px) {
    .adblue-tank-image {
        translate: 0 -2rem;
    }
}

@media (min-width: 768px) {
    .adblue-tank .container {
        padding-top: var(--padding-rows);
        position: relative;
        z-index: 2;
    }

    .adblue-tank-image {
        padding-left: 3rem;
        position: absolute;
        top: calc(0rem - (var(--padding-containers) / 2));
        bottom: calc(0rem - (var(--padding-containers) / 2));
        right: 0;
        width: 50%;
        height: calc(100% + var(--padding-containers));
        pointer-events: none;
        z-index: 1;
    }

    .adblue-tank-image img {
        --img-x: left;
        height: 100%;
        margin-bottom: 0;
    }
}

/* ISO badge */

.iso-22241-badge {
    position: relative;
}

.iso-22241-badge::before {
    content: '';
    z-index: 2;
    position: absolute;
    bottom: 0;
    left: clamp(1.5rem, 4vw, 3rem);
    width: 9.2rem;
    height: 12.8rem;
    padding: 1.5rem;
    border-radius: var(--border-radius-blocks) var(--border-radius-blocks) 0 0;
    background-color: var(--color-white);
    background-image: url(/wp-content/themes/main/images/iso-22241.svg);
    background-size: 6.2rem 9.8rem;
    background-repeat: no-repeat;
    background-position: center;
}

@container card (min-width: 960px) {
    .iso-22241-logo .card-content {
        padding-left: calc(var(--card-padding) + 11.2rem);
        background-image: url(/wp-content/themes/main/images/iso-22241.svg);
        background-size: 8.2rem auto;
        background-repeat: no-repeat;
        background-position: var(--card-padding) calc(var(--card-padding) + 0.6rem);
        min-height: 12.9rem;
    }
}


/* Globe */
.globe-cards,
.isometric-cards {
    padding-top: var(--padding-rows);
    position: relative;
    z-index: 2;
}

.isometric-cards {
    padding-bottom: calc(var(--padding-rows) / 2);
}

.globe-card,
.isometric-card {
    container-type: inline-size;
    container-name: map-card;
}

.globe-card-content,
.isometric-card-content {
    display: grid;
    grid-template-columns: 1fr;
    place-content: center;
    place-items: center;
    text-align: center;
    gap: 1.4rem;
    padding: var(--card-padding);
}

.globe-card-number,
.isometric-card-number {
    font-size: 4.2rem;
    font-weight: 700;
    color: var(--color-secondary);
}

.globe-card-label,
.isometric-card-label {
    font-size: 1.4rem;
    font-weight: 700;
    text-wrap: pretty;
}


@container map-card (min-width: 280px) {
    .globe-card-content,
    .isometric-card-content {
        grid-template-columns: max-content 1fr;
        justify-content: start;
        justify-items: start;
        padding: calc(var(--card-padding) / 2) var(--card-padding);
        text-align: left;
    }
}

.globe-image,
.isometric-image {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: auto;
    z-index: 1;
    overflow: hidden;
}

.globe-image img,
.isometric-image img {
    width: 100%;
    height: auto;
    display: block;
}

.globe-pins,
.isometric-pins {
    width: 100%;
    aspect-ratio: 10 / 3;
    position: relative;
    z-index: 2;
}

.globe-pin,
.isometric-pin {
    position: absolute;
    width: 3.2rem;
    height: 4.3rem;
    translate: -50% calc(0.4rem - 100%);
}

.globe-pin-image,
.isometric-pin-image {
    width: 3.2rem;
    height: 4.3rem;
    display: flex;
    justify-content: center;
    align-content: flex-end;
    align-items: flex-end;
}

.globe-pin-image > img,
.isometric-pin-image > img {
    width: 1.6rem;
    height: auto;
}

.globe-pin-tooltip,
.isometric-pin-tooltip {
    display: none;
}

@media (min-width: 576px) {
    .globe-pin-image > img,
    .isometric-pin-image > img {
        width: 2.2rem;
    }
}

@media (min-width: 768px) {
    .globe-pin-image > img,
    .isometric-pin-image > img {
        width: 3.2rem;
    }
}

@media (min-width: 1024px) {
    .globe-pin-image.aos-init,
    .isometric-pin-image.aos-init {
        cursor: pointer;
    }

    .globe-pin-tooltip,
    .isometric-pin-tooltip {
        display: block;
        position: absolute;
        background-color: var(--color-black);
        color: var(--color-white);
        border-radius: var(--border-radius-fields);
        font-size: 1.4rem;
        font-weight: 700;
        text-wrap: nowrap;
        padding: 0.5rem 1.3rem;
        bottom: 100%;
        left: 50%;
        translate: -50% 0rem;
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transition: .3s;
    }

    .globe-pin-tooltip::after,
    .isometric-pin-tooltip::after {
        content: '';
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 0.8rem 0.8rem 0 0.8rem;
        border-color: var(--color-black) transparent transparent transparent;
        position: absolute;
        bottom: -0.7rem;
        left: 50%;
        translate: -50% 0;
    }

    .globe-pin-image.aos-init:hover + .globe-pin-tooltip,
    .isometric-pin-image.aos-init:hover + .isometric-pin-tooltip {
        opacity: 1;
        visibility: visible;
        translate: -50% -1rem;
    }
}

.products-ecoblue-logo {
    position: absolute;
    z-index: 2;
    width: clamp(12.5rem, 15vw, 25rem);
    top: 25%;
    left: 30%;
    translate: -50% -50%;
}


.trading-status {
    /* Variables */
	--ts-color: var(--color-dark-grey-rgb);

	/* Resets */
	outline: 0;
	cursor: pointer;
	appearance: none;
	user-select: none;
	position: relative;
	box-sizing: border-box;
	z-index: 1;

	/* Corners */
	border-radius: 2.5rem;

	/* Border */
	border-style: solid;
	border-width: 2px;

	/* Spacing and Size */
	padding: 0 1rem;
	margin: 0;
	vertical-align: middle;
	width: auto;
    height: 3rem;
	overflow: hidden;

	/* Grid and Icons */
	display: inline-grid;
	grid-auto-flow: column;
	place-content: center;
	place-items: center;
	gap: var(--btn-gap);

	/* Text */
	font-family: var(--body-font);
	font-size: 1.2rem;
	font-style: normal;
	font-weight: 700;
	line-height: 1;
    white-space: nowrap;

	/* Colors */
	color: rgba(var(--ts-color), 1);
	background-color: rgba(var(--ts-color), 0.1);
	border-color: rgba(var(--ts-color), 1);
	box-shadow: 0 0 0 transparent;
	transition: 0.2s ease-in-out;
}

.trading-status.open {
    --ts-color: var(--color-success-rgb);
}

.trading-status.closed {
    --ts-color: var(--color-error-rgb);
}

.no-wrap {
    white-space: nowrap;
}